| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Actions.Promote

Portability | unportable
Stability | unstable
Maintainer | xmonad@s001.ethrael.com

Contents

Usage

Description
Alternate promote function for xmonad. Moves the focused window to the master pane. All other windows retain their order. If focus is in the master, swap it with the next window in the stack. Focus stays in the master.
Synopsis

promote :: X ()

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

        import XMonad.Actions.Promote

then add a keybinding or substitute `promote` in place of swapMaster:

       , ((modm,               xK_Return), promote)

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

promote :: X () | Source

Move the focused window to the master pane. All other windows retain their order. If focus is in the master, swap it with the next windo in the stack. Focus stays in the master.
Produced by Haddock version 2.4.2